diff --git a/server/stdinhand.c b/server/stdinhand.c
index 03c2f822b4..a1e1153b1a 100644
--- a/server/stdinhand.c
+++ b/server/stdinhand.c
@@ -5499,7 +5536,7 @@ static bool delegate_command(struct connection *caller, char *arg,
 
     if (caller->server.delegation.status) {
       cmd_reply(CMD_DELEGATE, caller, C_FAIL,
-                /* TRANS: don't translate '/delegate restore'. */
+                /* TRANS: Don't translate '/delegate restore'. */
                 _("You are already controlling a delegated player. "
                   "Use '/delegate restore' to relinquish control of your "
                   "current player first."));
@@ -5511,9 +5548,9 @@ static bool delegate_command(struct connection *caller, char *arg,
      * that while the owning user is connected to the server, they are
      * in sole control of 'their' player. */
     if (conn_controls_player(caller)
-        && player_delegation_get(conn_get_player(caller)) != NULL) {
+        && player_delegation_get(conn_get_player(caller)) != nullptr) {
       cmd_reply(CMD_DELEGATE, caller, C_FAIL,
-                /* TRANS: don't translate '/delegate cancel'. */
+                /* TRANS: Don't translate '/delegate cancel'. */
                 _("Can't take player while you have delegated control "
                   "yourself. Use '/delegate cancel' to cancel your own "
                   "delegation first."));
@@ -5564,7 +5601,7 @@ static bool delegate_command(struct connection *caller, char *arg,
     break;
 
   case DELEGATE_RESTORE:
-    /* Delegate user relinquishes control of delegated player, returning to 
+    /* Delegate user relinquishes control of delegated player, returning to
      * previous view (e.g. observer) if any. */
     fc_assert_ret_val(caller, FALSE);
 
@@ -5597,6 +5634,7 @@ static bool delegate_command(struct connection *caller, char *arg,
 
  cleanup:
   free_tokens(tokens, ntokens);
+
   return ret;
 }
 
@@ -5616,7 +5654,7 @@ static const char *delegate_player_str(struct player *pplayer, bool observer)
   } else if (observer) {
     astr_set(&buf, "%s", _("global observer"));
   } else {
-    /* TRANS: in place of player name or "global observer" */
+    /* TRANS: In place of player name or "global observer" */
     astr_set(&buf, "%s", _("nothing"));
   }
 
@@ -5645,6 +5683,7 @@ static const char *delegate_player_str(struct player *pplayer, bool observer)
 static const char *mapimg_accessor(int i)
 {
   i = CLIP(0, i, mapimg_args_max());
+
   return mapimg_args_name((enum mapimg_args) i);
 }
 
@@ -5661,14 +5700,14 @@ static bool mapimg_command(struct connection *caller, char *arg, bool check)
   ntokens = get_tokens(arg, token, 2, TOKEN_DELIMITERS);
 
   if (ntokens > 0) {
-    /* match the argument */
+    /* Match the argument */
     result = match_prefix(mapimg_accessor, MAPIMG_COUNT, 0,
-                          fc_strncasecmp, NULL, token[0], &ind);
+                          fc_strncasecmp, nullptr, token[0], &ind);
 
     switch (result) {
     case M_PRE_EXACT:
     case M_PRE_ONLY:
-      /* we have a match */
+      /* We have a match */
       break;
     case M_PRE_AMBIGUOUS:
       cmd_reply(CMD_MAPIMG, caller, C_FAIL,
@@ -5677,7 +5716,7 @@ static bool mapimg_command(struct connection *caller, char *arg, bool check)
       goto cleanup;
       break;
     case M_PRE_EMPTY:
-      /* use 'show' as default */
+      /* Use 'show' as default */
       ind = MAPIMG_SHOW;
       break;
     case M_PRE_LONG:
@@ -5705,7 +5744,7 @@ static bool mapimg_command(struct connection *caller, char *arg, bool check)
       break;
     }
   } else {
-    /* use 'show' as default */
+    /* Use 'show' as default */
     ind = MAPIMG_SHOW;
   }
 
@@ -5725,8 +5764,8 @@ static bool mapimg_command(struct connection *caller, char *arg, bool check)
         /* Validated OK, bail out now */
         goto cleanup;
       } else if (game_was_started()
-                 && mapimg_isvalid(mapimg_count() - 1) == NULL) {
-        /* game was started - error in map image definition check */
+                 && mapimg_isvalid(mapimg_count() - 1) == nullptr) {
+        /* Game was started - error in map image definition check */
         cmd_reply(CMD_MAPIMG, caller, C_FAIL,
                   _("Can't use definition: %s."), mapimg_error());
         ret = FALSE;
@@ -5789,6 +5828,7 @@ static bool mapimg_command(struct connection *caller, char *arg, bool check)
       show_mapimg(caller, CMD_MAPIMG);
     } else if (ntokens == 2 && sscanf(token[1], "%d", &id) != 0) {
       char str[2048];
+
       /* 'mapimg show <id>' */
       if (check) {
         goto cleanup;
@@ -5813,7 +5853,7 @@ static bool mapimg_command(struct connection *caller, char *arg, bool check)
       goto cleanup;
     }
 
-    mapimg_colortest(game.server.save_name, NULL);
+    mapimg_colortest(game.server.save_name, nullptr);
     cmd_reply(CMD_MAPIMG, caller, C_OK, _("Map color test images saved."));
     break;
 
@@ -5837,7 +5877,7 @@ static bool mapimg_command(struct connection *caller, char *arg, bool check)
       for (id = 0; id < count; id++) {
         struct mapdef *pmapdef = mapimg_isvalid(id);
 
-        if (pmapdef == NULL
+        if (pmapdef == nullptr
             || !mapimg_create(pmapdef, TRUE, game.server.save_name,
                               srvarg.saves_pathname)) {
           cmd_reply(CMD_MAPIMG, caller, C_FAIL,
@@ -5854,7 +5894,7 @@ static bool mapimg_command(struct connection *caller, char *arg, bool check)
       }
 
       pmapdef = mapimg_isvalid(id);
-      if (pmapdef == NULL
+      if (pmapdef == nullptr
           || !mapimg_create(pmapdef, TRUE, game.server.save_name,
                             srvarg.saves_pathname)) {
         cmd_reply(CMD_MAPIMG, caller, C_FAIL,
@@ -5869,8 +5909,7 @@ static bool mapimg_command(struct connection *caller, char *arg, bool check)
     break;
   }
 
-  cleanup:
-
+ cleanup:
   free_tokens(token, ntokens);
 
   return ret;
@@ -5883,7 +5922,7 @@ static bool aicmd_command(struct connection *caller, char *arg, bool check)
 {
   enum m_pre_result match_result;
   struct player *pplayer;
-  char *tokens[1], *cmd = NULL;
+  char *tokens[1], *cmd = nullptr;
   int ntokens;
   bool ret = FALSE;
 
@@ -5897,7 +5936,7 @@ static bool aicmd_command(struct connection *caller, char *arg, bool check)
 
   pplayer = player_by_name_prefix(tokens[0], &match_result);
 
-  if (NULL == pplayer) {
+  if (pplayer == nullptr) {
     cmd_reply_no_such_player(CMD_AICMD, caller, tokens[0], match_result);
     goto cleanup;
   }
@@ -5938,6 +5977,7 @@ static bool aicmd_command(struct connection *caller, char *arg, bool check)
 
  cleanup:
   free_tokens(tokens, ntokens);
+
   return ret;
 }
 
@@ -5956,6 +5996,7 @@ static bool aicmd_command(struct connection *caller, char *arg, bool check)
 static const char *fcdb_accessor(int i)
 {
   i = CLIP(0, i, fcdb_args_max());
+
   return fcdb_args_name((enum fcdb_args) i);
 }
 
@@ -5974,7 +6015,7 @@ static bool fcdb_command(struct connection *caller, char *arg, bool check)
   cmd_reply(CMD_FCDB, caller, C_FAIL,
             _("Freeciv database script deactivated at compile time."));
   return FALSE;
-#endif
+#endif /* HAVE_FCDB */
 
   if (!srvarg.fcdb_enabled) {
     /* Not supposed to be used. It isn't initialized. */
@@ -5987,14 +6028,14 @@ static bool fcdb_command(struct connection *caller, char *arg, bool check)
   ntokens = get_tokens(arg, token, 1, TOKEN_DELIMITERS);
 
   if (ntokens > 0) {
-    /* match the argument */
+    /* Match the argument */
     result = match_prefix(fcdb_accessor, FCDB_COUNT, 0,
-                          fc_strncasecmp, NULL, token[0], &ind);
+                          fc_strncasecmp, nullptr, token[0], &ind);
 
     switch (result) {
     case M_PRE_EXACT:
     case M_PRE_ONLY:
-      /* we have a match */
+      /* We have a match */
       break;
     case M_PRE_AMBIGUOUS:
       cmd_reply(CMD_FCDB, caller, C_FAIL,
@@ -6042,7 +6083,7 @@ static bool fcdb_command(struct connection *caller, char *arg, bool check)
   case FCDB_RELOAD:
     /* Reload database lua script. */
     script_fcdb_free();
-    script_fcdb_init(NULL);
+    script_fcdb_init(nullptr);
     break;
 
   case FCDB_LUA:
@@ -6055,8 +6096,7 @@ static bool fcdb_command(struct connection *caller, char *arg, bool check)
     break;
   }
 
-  cleanup:
-
+ cleanup:
   free_tokens(token, ntokens);
 
   return ret;
@@ -6069,7 +6109,7 @@ static void start_cmd_reply(struct connection *caller, bool notify, char *msg)
 {
   cmd_reply(CMD_START_GAME, caller, C_FAIL, "%s", msg);
   if (notify) {
-    notify_conn(NULL, NULL, E_SETTING, ftc_server, "%s", msg);
+    notify_conn(nullptr, nullptr, E_SETTING, ftc_server, "%s", msg);
   }
 }
 
@@ -6124,7 +6164,7 @@ bool start_command(struct connection *caller, bool check, bool notify)
       }
     } players_iterate_end;
 
-    /* check min_players.
+    /* Check min_players.
      * Allow continuing of savegames where some of the original
      * players have died */
     if (game.info.is_new_game
@@ -6132,7 +6172,8 @@ bool start_command(struct connection *caller, bool check, bool notify)
       char buf[512] = "";
 
       fc_snprintf(buf, sizeof(buf),
-                  _("Not enough human players ('minplayers' server setting has value %d); game will not start."),
+                  _("Not enough human players ('minplayers' server setting has value %d);"
+                    " game will not start."),
                   game.server.min_players);
       start_cmd_reply(caller, notify, buf);
       return FALSE;
@@ -6165,18 +6206,19 @@ bool start_command(struct connection *caller, bool check, bool notify)
       if (notify) {
         /* Called from handle_player_ready()
          * Last player just toggled ready-status. */
-        notify_conn(NULL, NULL, E_SETTING, ftc_game_start,
+        notify_conn(nullptr, nullptr, E_SETTING, ftc_game_start,
                     _("All players are ready; starting game."));
       }
       start_game();
       return TRUE;
-    } else if (NULL == caller->playing || caller->observer) {
+    } else if (caller->playing == nullptr || caller->observer) {
       /* A detached or observer player can't do /start. */
       return TRUE;
     } else {
       /* This might trigger recursive call to start_command() if this is
-       * last player who gets ready. In that case caller is NULL. */
+       * last player who gets ready. In that case caller is nullptr. */
       handle_player_ready(caller->playing, player_number(caller->playing), TRUE);
+
       return TRUE;
     }
   case S_S_OVER:
@@ -6193,13 +6235,14 @@ bool start_command(struct connection *caller, bool check, bool notify)
     return FALSE;
   }
   log_error("Unknown server state variant: %d.", server_state());
+
   return FALSE;
 }
 
 /**********************************************************************//**
   Handle cut command
 **************************************************************************/
-static bool cut_client_connection(struct connection *caller, char *name, 
+static bool cut_client_connection(struct connection *caller, char *name,
                                   bool check)
 {
   enum m_pre_result match_result;
@@ -6234,7 +6277,9 @@ static bool cut_client_connection(struct connection *caller, char *name,
 static time_t *time_duplicate(const time_t *t)
 {
   time_t *d = fc_malloc(sizeof(*d));
+
   *d = *t;
+
   return d;
 }
 
@@ -6247,13 +6292,13 @@ bool conn_is_kicked(struct connection *pconn, int *time_remaining)
   time_t time_of_addr_kick, time_of_user_kick;
   time_t now, time_of_kick = 0;
 
-  if (NULL != time_remaining) {
+  if (time_remaining != nullptr) {
     *time_remaining = 0;
   }
 
-  fc_assert_ret_val(NULL != kick_table_by_addr, FALSE);
-  fc_assert_ret_val(NULL != kick_table_by_user, FALSE);
-  fc_assert_ret_val(NULL != pconn, FALSE);
+  fc_assert_ret_val(kick_table_by_addr != nullptr, FALSE);
+  fc_assert_ret_val(kick_table_by_user != nullptr, FALSE);
+  fc_assert_ret_val(pconn != nullptr, FALSE);
 
   if (kick_hash_lookup(kick_table_by_addr, pconn->server.ipaddr,
                        &time_of_addr_kick)) {
@@ -6269,7 +6314,7 @@ bool conn_is_kicked(struct connection *pconn, int *time_remaining)
     return FALSE; /* Not found. */
   }
 
-  now = time(NULL);
+  now = time(nullptr);
   if (now - time_of_kick > game.server.kick_time) {
     /* Kick timeout expired. */
     if (0 != time_of_addr_kick) {
@@ -6278,12 +6323,14 @@ bool conn_is_kicked(struct connection *pconn, int *time_remaining)
     if (0 != time_of_user_kick) {
       kick_hash_remove(kick_table_by_user, pconn->username);
     }
+
     return FALSE;
   }
 
-  if (NULL != time_remaining) {
+  if (time_remaining != nullptr) {
     *time_remaining = game.server.kick_time - (now - time_of_kick);
   }
+
   return TRUE;
 }
 
@@ -6299,12 +6346,12 @@ static bool kick_command(struct connection *caller, char *name, bool check)
 
   remove_leading_trailing_spaces(name);
   pconn = conn_by_user_prefix(name, &match_result);
-  if (NULL == pconn) {
+  if (pconn == nullptr) {
     cmd_reply_no_such_conn(CMD_KICK, caller, name, match_result);
     return FALSE;
   }
 
-  if (NULL != caller && ALLOW_ADMIN > conn_get_access(caller)) {
+  if (caller != nullptr && ALLOW_ADMIN > conn_get_access(caller)) {
     const int MIN_UNIQUE_CONNS = 3;
     const char *unique_ipaddr[MIN_UNIQUE_CONNS];
     int i, num_unique_connections = 0;
@@ -6344,7 +6391,7 @@ static bool kick_command(struct connection *caller, char *name, bool check)
   }
 
   sz_strlcpy(ipaddr, pconn->server.ipaddr);
-  now = time(NULL);
+  now = time(nullptr);
   kick_hash_replace(kick_table_by_addr, ipaddr, now);
 
   conn_list_iterate(game.all_connections, aconn) {
@@ -6405,11 +6452,11 @@ static void show_help_intro(struct connection *caller,
   help_cmd is the command the player used.
 **************************************************************************/
 static void show_help_command(struct connection *caller,
-			      enum command_id help_cmd,
-			      enum command_id id)
+                              enum command_id help_cmd,
+                              enum command_id id)
 {
   const struct command *cmd = command_by_number(id);
-  
+
   if (command_short_help(cmd)) {
     cmd_reply(help_cmd, caller, C_COMMENT,
               /* TRANS: <untranslated name> - translated short help */
@@ -6418,12 +6465,12 @@ static void show_help_command(struct connection *caller,
               command_short_help(cmd));
   } else {
     cmd_reply(help_cmd, caller, C_COMMENT,
-	      /* TRANS: <untranslated name> */
-	      _("Command: %s"),
-	      command_name(cmd));
+              /* TRANS: <untranslated name> */
+              _("Command: %s"),
+              command_name(cmd));
   }
   if (command_synopsis(cmd)) {
-    /* line up the synopsis lines: */
+    /* Line up the synopsis lines: */
     const char *syn = _("Synopsis: ");
     size_t synlen = strlen(syn);
     char prefix[40];
@@ -6498,7 +6545,7 @@ static void cmd_reply_matches(enum command_id cmd,
   char *dest;
   int i;
 
-  if (accessor_fn == NULL || matches == NULL || num_matches < 1) {
+  if (accessor_fn == nullptr || matches == nullptr || num_matches < 1) {
     return;
   }
 
@@ -6537,7 +6584,7 @@ static void cmd_reply_matches(enum command_id cmd,
   Unified indices for help arguments:
     CMD_NUM           -  Server commands
     HELP_GENERAL_NUM  -  General help arguments, above
-    settings_number() -  Server options 
+    settings_number() -  Server options
 **************************************************************************/
 #define HELP_ARG_NUM (CMD_NUM + HELP_GENERAL_COUNT + settings_number())
 
@@ -6556,6 +6603,7 @@ static const char *helparg_accessor(int i)
   }
 
   i -= HELP_GENERAL_COUNT;
+
   return optname_accessor(i);
 }
 
@@ -6569,10 +6617,10 @@ static bool show_help(struct connection *caller, char *arg)
   int ind;
 
   fc_assert_ret_val(!may_use_nothing(caller), FALSE);
-    /* no commands means no help, either */
+  /* No commands means no help, either */
 
   match_result = match_prefix_full(helparg_accessor, HELP_ARG_NUM, 0,
-                                   fc_strncasecmp, NULL, arg, &ind, matches,
+                                   fc_strncasecmp, nullptr, arg, &ind, matches,
                                    ARRAY_SIZE(matches), &num_matches);
 
   if (match_result == M_PRE_EMPTY) {
@@ -6592,15 +6640,15 @@ static bool show_help(struct connection *caller, char *arg)
     return FALSE;
   }
 
-  /* other cases should be above */
+  /* Other cases should be above */
   fc_assert_ret_val(match_result < M_PRE_AMBIGUOUS, FALSE);
-  
+
   if (ind < CMD_NUM) {
     show_help_command(caller, CMD_HELP, ind);
     return TRUE;
   }
   ind -= CMD_NUM;
-  
+
   if (ind == HELP_GENERAL_OPTIONS) {
     show_help_option_list(caller, CMD_HELP);
     return TRUE;
@@ -6615,9 +6663,10 @@ static bool show_help(struct connection *caller, char *arg)
     show_help_option(caller, CMD_HELP, ind);
     return TRUE;
   }
-  
-  /* should have finished by now */
+
+  /* Should have finished by now */
   log_error("Bug in show_help!");
+
   return FALSE;
 }
 
@@ -6659,10 +6708,12 @@ static void show_delegations(struct connection *caller)
 
   players_iterate(pplayer) {
     const char *delegate_to = player_delegation_get(pplayer);
-    if (delegate_to != NULL) {
+
+    if (delegate_to != nullptr) {
       const char *owner =
         player_delegation_active(pplayer) ? pplayer->server.orig_username
                                           : pplayer->username;
+
       fc_assert(owner);
       cmd_reply(CMD_LIST, caller, C_COMMENT,
                 /* TRANS: last %s is either " (active)" or empty string */
@@ -6682,14 +6733,14 @@ static void show_delegations(struct connection *caller)
 }
 
 /**********************************************************************//**
-  Show the ignore list of the 
+  Show the ignore list of the
 **************************************************************************/
 static bool show_ignore(struct connection *caller)
 {
   char buf[128];
   int n = 1;
 
-  if (NULL == caller) {
+  if (caller == nullptr) {
     cmd_reply(CMD_IGNORE, caller, C_FAIL,
               _("That would be rather silly, since you are not a player."));
     return FALSE;
@@ -6784,7 +6835,7 @@ void show_players(struct connection *caller)
       }
       n = conn_list_size(pplayer->connections);
       if (n > 0) {
-        cat_snprintf(buf, sizeof(buf), 
+        cat_snprintf(buf, sizeof(buf),
                      PL_(", %d connection:", ", %d connections:", n), n);
       }
       cmd_reply(CMD_LIST, caller, C_COMMENT, "  %s", buf);
@@ -6797,7 +6848,7 @@ void show_players(struct connection *caller)
                     cmdlevel_name(pconn->access_level),
                     (pconn->send_buffer->nsize >> 10));
         if (pconn->observer) {
-          /* TRANS: preserve leading space */
+          /* TRANS: Preserve leading space */
           sz_strlcat(buf, _(" (observer mode)"));
         }
         cmd_reply(CMD_LIST, caller, C_COMMENT, "    %s", buf);
@@ -6825,14 +6876,14 @@ static void ruleset_cache_listcmd_cb(const char *mp_name,
 
   name = modpack_file_from_ruleset_cache(mp_name);
 
-  if (name == NULL) {
+  if (name == nullptr) {
     log_error("Modpack \"%s\" not in ruleset cache", mp_name);
     return;
   }
 
   sf = secfile_load(name, FALSE);
 
-  if (sf == NULL) {
+  if (sf == nullptr) {
     log_error("Failed to load modpack file \"%s\"", name);
     return;
   }
@@ -6840,11 +6891,11 @@ static void ruleset_cache_listcmd_cb(const char *mp_name,
   serv = modpack_serv_file(sf);
   rsdir = modpack_rulesetdir(sf);
 
-  if (serv != NULL || rsdir != NULL) {
+  if (serv != nullptr || rsdir != nullptr) {
     /* Modpack has ruleset component */
     cmd_reply(CMD_LIST, data->caller, C_COMMENT, "%s : %s : %s", mp_name,
-              rsdir != NULL ? rsdir : "-",
-              serv != NULL ? serv : "-");
+              rsdir != nullptr ? rsdir : "-",
+              serv != nullptr ? serv : "-");
   }
 
   secfile_destroy(sf);
@@ -6858,7 +6909,7 @@ static void show_rulesets(struct connection *caller)
   struct mrc_listcmd_data data;
 
   cmd_reply(CMD_LIST, caller, C_COMMENT,
-            /* TRANS: don't translate text between '' */
+            /* TRANS: Don't translate text between '' */
             _("List of available rulesets, and how to load them:"));
   cmd_reply(CMD_LIST, caller, C_COMMENT, horiz_line);
   cmd_reply(CMD_LIST, caller, C_COMMENT,
@@ -6885,7 +6936,7 @@ static void show_scenarios(struct connection *caller)
   cmd_reply(CMD_LIST, caller, C_COMMENT, horiz_line);
 
   files = fileinfolist_infix(get_scenario_dirs(), ".sav", TRUE);
-  
+
   fileinfo_list_iterate(files, pfile) {
     struct section_file *sf = secfile_load_section(pfile->fullname, "scenario", TRUE);
 
@@ -6905,20 +6956,21 @@ static void show_scenarios(struct connection *caller)
 static void show_nationsets(struct connection *caller)
 {
   cmd_reply(CMD_LIST, caller, C_COMMENT,
-            /* TRANS: don't translate text between '' */
+            /* TRANS: Don't translate text between '' */
             _("List of nation sets available for 'nationset' option:"));
   cmd_reply(CMD_LIST, caller, C_COMMENT, horiz_line);
 
   nation_sets_iterate(pset) {
     const char *description = nation_set_description(pset);
     int num_nations = 0;
+
     nations_iterate(pnation) {
       if (is_nation_playable(pnation) && nation_is_in_set(pnation, pset)) {
         num_nations++;
       }
     } nations_iterate_end;
     cmd_reply(CMD_LIST, caller, C_COMMENT,
-              /* TRANS: nation set description; %d refers to number of playable
+              /* TRANS: Nation set description; %d refers to number of playable
                * nations in set */
               PL_(" %-10s  %s (%d playable)",
                   " %-10s  %s (%d playable)", num_nations),
@@ -6927,6 +6979,7 @@ static void show_nationsets(struct connection *caller)
     if (strlen(description) > 0) {
       static const char prefix[] = "   ";
       char *translated = fc_strdup(_(description));
+
       fc_break_lines(translated, LINE_BREAK);
       cmd_reply_prefix(CMD_LIST, caller, C_COMMENT, prefix, "%s%s",
                        prefix, translated);
@@ -6980,6 +7033,7 @@ static void show_mapimg(struct connection *caller, enum command_id cmd)
     cmd_reply(cmd, caller, C_COMMENT, horiz_line);
     for (id = 0; id < mapimg_count(); id++) {
       char str[MAX_LEN_MAPDEF] = "";
+
       mapimg_show(id, str, sizeof(str), FALSE);
       cmd_reply(cmd, caller, C_COMMENT, _("[%2d] %s"), id, str);
     }
@@ -7071,7 +7125,7 @@ static bool show_list(struct connection *caller, char *arg)
 
   remove_leading_trailing_spaces(arg);
   match_result = match_prefix(list_accessor, list_args_max() + 1, 0,
-                              fc_strncasecmp, NULL, arg, &ind_int);
+                              fc_strncasecmp, nullptr, arg, &ind_int);
   ind = ind_int;
 
   if (match_result > M_PRE_EMPTY) {
@@ -7139,16 +7193,16 @@ static bool show_list(struct connection *caller, char *arg)
 /**********************************************************************//**
   A generalised generator function: text and state are "standard"
   parameters to a readline generator function;
-  num is number of possible completions, or -1 if this is not known and 
-  index2str should be iterated until it returns NULL;
+  num is number of possible completions, or -1 if this is not known and
+  index2str should be iterated until it returns nullptr;
   index2str is a function which returns each possible completion string
-  by index (it may return NULL).
+  by index (it may return nullptr).
 **************************************************************************/
 static char *generic_generator(const char *text, int state, int num,
-			       const char*(*index2str)(int))
+                               const char*(*index2str)(int))
 {
   static int list_index, len;
-  const char *name = ""; /* dummy non-NULL string */
+  const char *name = ""; /* Dummy non-nullptr string */
   char *mytext = local_to_internal_string_malloc(text);
 
   /* This function takes a string (text) in the local format and must return
@@ -7171,15 +7225,15 @@ static char *generic_generator(const char *text, int state, int num,
     name = index2str(list_index);
     list_index++;
 
-    if (name != NULL && fc_strncasecmp(name, mytext, len) == 0) {
+    if (name != nullptr && fc_strncasecmp(name, mytext, len) == 0) {
       free(mytext);
       return internal_to_local_string_malloc(name);
     }
   }
   free(mytext);
 
-  /* If no names matched, then return NULL. */
-  return ((char *)NULL);
+  /* If no names matched, then return nullptr. */
+  return ((char *)nullptr);
 }
 
 /**********************************************************************//**
@@ -7224,7 +7278,7 @@ static const char *option_value_accessor(int idx) {
     fc_assert(FALSE);
   }
 
-  return NULL;
+  return nullptr;
 }
 
 /**********************************************************************//**
@@ -7244,7 +7298,7 @@ static const char *playername_accessor(int idx)
   const struct player_slot *pslot = player_slot_by_number(idx);
 
   if (!player_slot_is_used(pslot)) {
-    return NULL;
+    return nullptr;
   }
 
   return player_name(player_slot_get_player(pslot));
@@ -7273,7 +7327,7 @@ static const char *connection_name_accessor(int idx)
 static char *connection_generator(const char *text, int state)
 {
   return generic_generator(text, state, conn_list_size(game.all_connections),
-			   connection_name_accessor);
+                           connection_name_accessor);
 }
 
 /**********************************************************************//**
@@ -7311,8 +7365,8 @@ static char *cmdlevel_arg2_generator(const char *text, int state)
 {
   return generic_generator(text, state,
                            /* "first", "new", connection names */
-			   2 + conn_list_size(game.all_connections),
-			   cmdlevel_arg2_accessor);
+                           2 + conn_list_size(game.all_connections),
+                           cmdlevel_arg2_accessor);
 }
 
 /**********************************************************************//**
@@ -7466,7 +7520,7 @@ static bool is_command(int start)
   if (contains_str_before_start(start, command_name_by_number(CMD_HELP), FALSE))
     return TRUE;
 
-  /* if there is only it is also OK */
+  /* If there is only it is also OK */
   str_itr = rl_line_buffer;
   while (str_itr - rl_line_buffer < start) {
     if (fc_isalnum(*str_itr)) {
@@ -7474,6 +7528,7 @@ static bool is_command(int start)
     }
     str_itr++;
   }
+
   return TRUE;
 }
 
@@ -7572,7 +7627,7 @@ static bool is_connection(int start)
 static bool is_cmdlevel_arg2(int start)
 {
   return (contains_str_before_start(start, command_name_by_number(CMD_CMDLEVEL), TRUE)
-	  && num_tokens(start) == 2);
+          && num_tokens(start) == 2);
 }
 
 /**********************************************************************//**
@@ -7606,7 +7661,7 @@ static bool is_server_option(int start)
 
   while (server_option_cmd[i] != -1) {
     if (contains_str_before_start(start, command_name_by_number(server_option_cmd[i]),
-				  FALSE)) {
+                                  FALSE)) {
       return TRUE;
     }
     i++;
@@ -7633,7 +7688,7 @@ static bool is_option_level(int start)
 
   while (option_level_cmd[i] != -1) {
     if (contains_str_before_start(start, command_name_by_number(option_level_cmd[i]),
-				  FALSE)) {
+                                  FALSE)) {
       return TRUE;
     }
     i++;
@@ -7704,7 +7759,7 @@ static bool is_filename(int start)
 static bool is_create_arg2(int start)
 {
   return (contains_str_before_start(start, command_name_by_number(CMD_CREATE), TRUE)
-	  && num_tokens(start) == 2);
+          && num_tokens(start) == 2);
 }
 
 /**********************************************************************//**
@@ -7788,11 +7843,11 @@ static bool is_list(int start)
   region of rl_line_buffer that contains the word to complete. TEXT is
   the word to complete. We can use the entire contents of rl_line_buffer
   in case we want to do some simple parsing. Return the array of matches,
-  or NULL if there aren't any.
+  or nullptr if there aren't any.
 **************************************************************************/
 char **freeciv_completion(const char *text, int start, int end)
 {
-  char **matches = (char **)NULL;
+  char **matches = (char **)nullptr;
 
   if (is_help(start)) {
     matches = rl_completion_matches(text, help_generator);
@@ -7833,7 +7888,7 @@ char **freeciv_completion(const char *text, int start, int end)
     matches = rl_completion_matches(text, lua_generator);
   } else {
     /* We have no idea what to do */
-    matches = NULL;
+    matches = nullptr;
   }
 
   /* Don't automatically try to complete with filenames */
diff --git a/server/stdinhand.h b/server/stdinhand.h
index a225f58f45..7d773c262c 100644
--- a/server/stdinhand.h
+++ b/server/stdinhand.h
@@ -59,7 +59,7 @@ bool start_command(struct connection *caller, bool check, bool notify);
 void toggle_ai_player_direct(struct connection *caller,
                              struct player *pplayer);
 
-/* for sernet.c in initing a new connection */
+/* For sernet.c in initing a new connection */
 enum cmdlevel access_level_for_next_connection(void);
 
 void notify_if_first_access_level_is_available(void);
-- 
2.47.2

